<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<hdlworker language="vhdl" spec="fir_filter_symmetric_xs-spec" version="2"
  sourcefiles="complex_short_protocol_delay.vhd complex_short_flush_injector.vhd">
  <specproperty name="taps" raw="true"/>
  <specproperty name="rounding_type" parameter="true"/>
  <!-- Note: This dummy property is required to ensure that the
       props_from_worker output signal is generated, otherwise build
       fails as the raw interface uses this port, but there were no
       writable values. OCPI#1863, #654
  -->
  <property name="dummy_property" type="bool" volatile="true" writable="true" default="false"
    description="dummy property required due to bug OCPI#1863"/>
  <streaminterface name="input" datawidth="32"/>
  <streaminterface name="output" datawidth="32" workereof="true"/>
</hdlworker>
